libmspub::ImgFill Class Reference

`#include <Fill.h>`

Inheritance diagram for libmspub::ImgFill:

## Public Member Functions

| ImgFill (unsigned imgIndex, const MSPUBCollector *owner, bool isTexture, int rotation)
void | getProperties (librevenge::RVNGPropertyList *out) const override
Public Member Functions inherited from libmspub::Fill
| Fill (const MSPUBCollector *owner)
virtual | ~Fill ()

## Protected Attributes

unsigned | m_imgIndex
int | m_rotation
Protected Attributes inherited from libmspub::Fill
const MSPUBCollector * | m_owner

## Private Member Functions

| ImgFill (const ImgFill &)
ImgFill & | operator= (const ImgFill &)

## Private Attributes

bool | m_isTexture

## Constructor & Destructor Documentation

## ImgFill() [1/2]

libmspub::ImgFill::ImgFill | ( | unsigned | imgIndex,
|  | const MSPUBCollector * | owner,
|  | bool | isTexture,
|  | int | rotation )

Referenced by ImgFill(), operator=(), libmspub::PatternFill::operator=(), libmspub::PatternFill::PatternFill(), and libmspub::PatternFill::PatternFill().

## ImgFill() [2/2]

libmspub::ImgFill::ImgFill | ( | const ImgFill & |  | ) |

inline private

## Member Function Documentation

## getProperties()

void libmspub::ImgFill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const

override virtual

Implements libmspub::Fill.

Reimplemented in libmspub::PatternFill.

## operator=()

ImgFill & libmspub::ImgFill::operator= | ( | const ImgFill & |  | ) |

private

## Member Data Documentation

## m_imgIndex

unsigned libmspub::ImgFill::m_imgIndex

protected

Referenced by getProperties(), libmspub::PatternFill::getProperties(), ImgFill(), and ImgFill().

## m_isTexture

bool libmspub::ImgFill::m_isTexture

private

Referenced by getProperties(), ImgFill(), and ImgFill().

## m_rotation

int libmspub::ImgFill::m_rotation

protected

Referenced by getProperties(), ImgFill(), and ImgFill().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp